<script>
import AnalysisMajorDetail from "@/pagesOther/pages/ie/entry-analysis/analysis-major-detail.vue";
import {useTransfer} from "@/hooks/useTransfer";
import {useCacheStore} from "@/hooks/useCacheStore";
import {useProvidePageScroll} from "@/hooks/usePageScrollInjection";

export default {
    name: 'ai-major-detail',
    extends: AnalysisMajorDetail,
    data() {
        return {
            title: 'AI志愿-专业详情'
        }
    },
    setup() {
        const {prevData} = useTransfer()
        const {dispatchCache} = useCacheStore()
        const scrollTop = useProvidePageScroll()

        return {
            prevData,
            scrollTop,
            dispatchCache
        }
    },
    methods: {}
}
</script>

<style>

</style>
